GET private-agents
Retrieves a list of private agents for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "58b0af6c-f4e4-4137-b1d0-36e270447826",
"agent_name": "sample string 2",
"customer_guid": "21bb86a4-2048-4648-9f32-b83d1bcd20ab",
"geoloc": "sample string 4",
"created_utc": "2026-07-14T14:46:22",
"last_updated_utc": "2026-07-14T14:46:22",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-07-14T14:46:22",
"certificate_valid_till_utc": "2026-07-14T14:46:22",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "b4ac31ab-f83e-40a9-b88a-7cacacdf47c1",
"agent_name": "sample string 2",
"customer_guid": "1c983187-5892-491a-855d-29eae4f060c2",
"geoloc": "sample string 4",
"created_utc": "2026-07-14T14:46:22",
"last_updated_utc": "2026-07-14T14:46:22",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-07-14T14:46:22",
"certificate_valid_till_utc": "2026-07-14T14:46:22",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "066c5b45-1d46-4352-81c1-942765765e57",
"agent_name": "sample string 2",
"customer_guid": "8b746186-468d-42a5-978f-13d4f7c6e7dc",
"geoloc": "sample string 4",
"created_utc": "2026-07-14T14:46:22",
"last_updated_utc": "2026-07-14T14:46:22",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-07-14T14:46:22",
"certificate_valid_till_utc": "2026-07-14T14:46:22",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |